Skip to Content

Process a completed Stripe Checkout Session

POST /api/client/projects/{projectId}/customers/{customerId}/stripe/{checkoutSessionId}

Operation ID: processStripeCheckoutSession.

API authentication and error conventions.

Authentication

Authentication is not declared in this specification. Follow the linked API guide for authentication requirements.

Parameters

NameLocationRequiredTypeDescription and constraints
projectIdpathYesstring
customerIdpathYesstring
checkoutSessionIdpathYesstring

projectId JSON Schema

{
  "type": "string"
}

customerId JSON Schema

{
  "type": "string"
}

checkoutSessionId JSON Schema

{
  "type": "string"
}

Request body

No request body is declared.

Responses

Only the response statuses declared by the specification are listed below.

200

Successful response

application/json

Process a completed Stripe Checkout Session response 200 (application/json) schema. Source for this occurrence.

Last updated on